vector_of_iterator< T >
Inheritance diagram for vector_of_iterator< T >:

## Public Types

typedef std::vector< T * > | V
typedef std::vector< const T * > | CONST_V
typedef T * | value_type
typedef value_type * | iterator
typedef const_value_type *const | const_iterator
typedef value_type & | reference
typedef V::size_type | size_type
typedef V::difference_type | difference_type

## Public Member Functions

| vector_of_iterator (size_type n=0, const value_type &value=value_type())
size_type | size () const
iterator | begin ()
const_iterator | begin () const
const_iterator | end () const
iterator | end ()
const_reference | operator[] (size_type i) const
reference | operator[] (size_type i)

## Public Attributes

const typedef T * | const_value_type
const typedef value_type & | const_reference

## Detailed Description

### template<class T>
class rheolef::vector_of_iterator< T >

Definition at line 33 of file vector_of_iterator.h.

## Member Typedef Documentation

## V

typedef std::vector<T*> V

Definition at line 37 of file vector_of_iterator.h.

## CONST_V

typedef std::vector<const T*> CONST_V

Definition at line 38 of file vector_of_iterator.h.

## value_type

typedef T* value_type

Definition at line 39 of file vector_of_iterator.h.

## iterator

typedef value_type* iterator

Definition at line 41 of file vector_of_iterator.h.

## const_iterator

typedef const_value_type* const const_iterator

Definition at line 42 of file vector_of_iterator.h.

## reference

typedef value_type& reference

Definition at line 43 of file vector_of_iterator.h.

## size_type

typedef V::size_type size_type

Definition at line 49 of file vector_of_iterator.h.

## difference_type

typedef V::difference_type difference_type

Definition at line 50 of file vector_of_iterator.h.

## Constructor & Destructor Documentation

## vector_of_iterator()

vector_of_iterator | ( | size_type | n = `0`,
|  | const value_type & | value = `value_type ()`
| ) |  |

explicit

Definition at line 84 of file vector_of_iterator.h.

## Member Function Documentation

## size()

vector_of_iterator< T >::size_type size

Definition at line 103 of file vector_of_iterator.h.

## begin() [1/2]

vector_of_iterator< T >::const_iterator begin

Definition at line 110 of file vector_of_iterator.h.

## begin() [2/2]

const_iterator begin | ( |  | ) | const

## end() [1/2]

vector_of_iterator< T >::const_iterator end

Definition at line 124 of file vector_of_iterator.h.

## end() [2/2]

iterator end | ( |  | ) |

## operator[]() [1/2]

vector_of_iterator< T >::const_reference operator[] | ( | size_type | i | ) | const

Definition at line 169 of file vector_of_iterator.h.

## operator[]() [2/2]

vector_of_iterator< T >::reference operator[] | ( | size_type | i | ) |

Definition at line 176 of file vector_of_iterator.h.

## Member Data Documentation

## const_value_type

const typedef T* const_value_type

Definition at line 40 of file vector_of_iterator.h.

## const_reference

const typedef value_type& const_reference

Definition at line 44 of file vector_of_iterator.h.

The documentation for this class was generated from the following file:

- /build/rheolef-bzr82u/rheolef-7.1/linalg/lib/vector_of_iterator.h